.display-none {
   display: none !important;
}

.block,
.display-block {
   display: block !important;
}

.display-inline-block,
.inline-block {
   display: inline-block !important;
}

.display-flex {
   display: flex !important;
   display: -ms-flexbox !important;
}

.position-relative {
   position: relative !important;
}

.position-absolute {
   position: absolute !important;
}

.position-static {
   position: static !important;
}

.overflow-visible {
   overflow: visible !important;
}

.overflow-auto {
   overflow: auto !important;
}

.overflow-y-auto {
   overflow-y: auto !important;
}

.overflow-x-auto {
   overflow-x: auto !important;
}

.overflow-scroll {
   overflow: scroll !important;
}

.overflow-y-scroll {
   overflow-y: scroll !important;
}

.overflow-x-scroll {
   overflow-x: scroll !important;
}

.z-index-2 {
   z-index: 2 !important;
}

[class*="cover-opacity-"]::before {
   position: absolute;
   display: block;
   content: "";
   top: 0;
   left: 0;
   bottom: 0;
   right: 0;
   background-color: #040404;
   z-index: 1;
   opacity: 0;
}

.cover-opacity-1::before {
   opacity: 0.1;
}

.cover-opacity-2::before {
   opacity: 0.2;
}

.hide {
   display: none !important;
}

@media (max-width: 991px) {
   .hide-from-md {
      display: none !important;
   }
   .column-reverse {
      flex-direction: column-reverse;
   }
}

@media (max-width: 767px) {
   .hide-from-sm {
      display: none !important;
   }
}

body:not(.is-mobile, .no-gpu) .hide-to-mobile {
   display: none !important;
}

.font-alter {
   font-family: Poppins, sans-serif;
}

.font-italic,
.italic {
   font-style: italic !important;
}

.bold,
.font-bold,
.font-strong {
   font-weight: 700 !important;
}

.text-xlg {
   font-size: calc(100% + 0.4vw) !important;
}

.text-xlg p,
p.text-xlg {
   margin-bottom: 4.5% !important;
}

.letter-spacing-8 {
   letter-spacing: 8px !important;
}

.text-normal {
   text-transform: none !important;
   letter-spacing: 0 !important;
}

.text-center {
   text-align: center !important;
}

.text-left {
   text-align: left !important;
}

.text-no-transform {
   text-transform: none !important;
}

.hover-opacity {
   transition: 0.2s ease-in-out !important;
}

.hover-opacity:hover {
   opacity: 0.8 !important;
}

.width-auto {
   width: auto !important;
}

.min-width {
   min-width: 100% !important;
}

.max-width {
   max-width: 100% !important;
}

.max-width-1000 {
   max-width: 1000px !important;
}

.max-width-1100 {
   max-width: 1100px !important;
}

.max-width-1600 {
   max-width: 1600px !important;
}

.max-width-2000 {
   max-width: 2000px !important;
}

.max-width-3000 {
   max-width: 3000px !important;
}

.align-center {
   position: absolute !important;
   top: 50% !important;
   bottom: auto !important;
   left: 50% !important;
   right: auto !important;
   transform: translate(-50%, -50%) !important;
}

.text-main,
.text-primary {
   color: #4c2122 !important;
}

a.text-primary:focus,
a.text-primary:hover {
   color: #4c2122 !important;
   opacity: 0.8 !important;
}

.text-secondary {
   color: #6c757d !important;
}

.text-gray {
   color: #b9b9b9 !important;
}

.text-red {
   color: red !important;
}

a.tt-link {
   background-repeat: no-repeat;
   background-image: -o-linear-gradient(transparent calc(100% - 1px), currentColor 1px);
   background-image: linear-gradient(transparent calc(100% - 1px), currentColor 1px);
   background-image: -ms-linear-gradient(transparent 100%, currentColor 1px);
   transition: 0.6s cubic-bezier(0.215, 0.61, 0.355, 1) !important;
   background-size: 0 100%;
   border: none;
   opacity: 1;
}

a.tt-link:focus,
a.tt-link:hover {
   background-size: 100% 100%;
   opacity: 1;
}

.bg-white-accent-3 {
   background-color: rgb(255 255 255 / 3%) !important;
}

.bg-dark-accent-4 {
   background-color: rgb(0 0 0 / 4%) !important;
}

.no-radius,
.no-rounded {
   border-radius: 0 !important;
}

.border {
   border: 1px solid !important;
}

.border-top {
   border-top: 1px solid !important;
}

.border-bottom {
   border-bottom: 1px solid !important;
}

.border-left {
   border-left: 1px solid !important;
}

.border-right {
   border-right: 1px solid !important;
}

.border-solid {
   border-style: solid !important;
}

.border-top-solid {
   border-top-style: solid !important;
}

.border-bottom-solid {
   border-bottom-style: solid !important;
}

.border-left-solid {
   border-left-style: solid !important;
}

.border-right-solid {
   border-right-style: solid !important;
}

.border-green {
   border-color: #5fc11b !important;
}

.border-top-green {
   border-top-color: #5fc11b !important;
}

.border-bottom-green {
   border-bottom-color: #5fc11b !important;
}

.border-left-green {
   border-left-color: #5fc11b !important;
}

.border-right-green {
   border-right-color: #5fc11b !important;
}

.border-red {
   border-color: #fd2b2b !important;
}

.border-top-red {
   border-top-color: #fd2b2b !important;
}

.border-bottom-red {
   border-bottom-color: #fd2b2b !important;
}

.border-left-red {
   border-left-color: #fd2b2b !important;
}

.border-right-red {
   border-right-color: #fd2b2b !important;
}

.padding-bottom-40 {
   padding-bottom: 40px !important;
}

.padding-bottom-5-p {
   padding-bottom: 5% !important;
}

.no-padding-top {
   padding-top: 0 !important;
}

.no-padding-bottom {
   padding-bottom: 0 !important;
}

@media (min-width: 576px) {
   .padding-left-sm-3-p {
      padding-left: 3% !important;
   }

   .padding-right-sm-3-p {
      padding-right: 3% !important;
   }
}

@media (min-width: 992px) {
   .padding-bottom-lg-150 {
      padding-bottom: 150px !important;
   }

   .padding-right-lg-5-p {
      padding-right: 5% !important;
   }
}

@media (min-width: 1025px) {
   .padding-top-xlg-150 {
      padding-top: 150px !important;
   }
   .hide-desktop {
      display: none !important;
   }
   .padding-top-xlg-180 {
      padding-top: 180px !important;
   }

   .padding-bottom-xlg-100 {
      padding-bottom: 100px !important;
   }

   .padding-bottom-xlg-150 {
      padding-bottom: 150px !important;
   }

   .padding-top-xlg-20-p {
      padding-top: 20% !important;
   }

   .padding-left-xlg-5-p {
      padding-left: 5% !important;
   }

   .padding-left-xlg-10-p {
      padding-left: 10% !important;
   }

   .padding-right-xlg-5-p {
      padding-right: 5% !important;
   }

   .padding-right-xlg-10-p {
      padding-right: 10% !important;
   }
   .margin-bottom-150 {
      margin-bottom: 150px !important;
   }
}

.margin-auto {
   margin-left: auto !important;
   margin-right: auto !important;
}

.margin-top-40 {
   margin-top: 40px !important;
}

.margin-bottom-60 {
   margin-bottom: 60px !important;
}

.margin-top-8-p {
   margin-top: 8% !important;
}

.margin-bottom-5-p {
   margin-bottom: 5% !important;
}

.margin-bottom-10-p {
   margin-bottom: 10% !important;
}

.no-margin-bottom {
   margin-bottom: 0 !important;
}

.tt-row {
   display: -ms-flexbox;
   display: flex;
   -ms-flex-wrap: wrap;
   flex-wrap: wrap;
}

body.tt-boxed .tt-wrap .tt-row {
   margin-right: -15px;
   margin-left: -15px;
}

[class*="tt-col-"] {
   position: relative;
   width: 100%;
   padding-left: 15px;
   padding-right: 15px;
}

.tt-col-12 {
   -ms-flex: 0 0 100%;
   flex: 0 0 100%;
   max-width: 100%;
}

.tt-justify-content-center {
   -ms-flex-pack: center !important;
   justify-content: center !important;
}

@media (min-width: 768px) {
   .tt-col-md-6 {
      -ms-flex: 0 0 50%;
      flex: 0 0 50%;
      max-width: 50%;
   }
}

@media (min-width: 992px) {
   .tt-col-lg-4 {
      -ms-flex: 0 0 33.333333%;
      flex: 0 0 33.333333%;
      max-width: 33.333333%;
   }

   .tt-col-lg-5 {
      -ms-flex: 0 0 41.666667%;
      flex: 0 0 41.666667%;
      max-width: 41.666667%;
   }

   .tt-col-lg-6 {
      -ms-flex: 0 0 50%;
      flex: 0 0 50%;
      max-width: 50%;
   }

   .tt-col-lg-7 {
      -ms-flex: 0 0 58.333333%;
      flex: 0 0 58.333333%;
      max-width: 58.333333%;
   }

   .tt-col-lg-8 {
      -ms-flex: 0 0 66.666667%;
      flex: 0 0 66.666667%;
      max-width: 66.666667%;
   }

   .tt-col-lg-10 {
      -ms-flex: 0 0 83.333333%;
      flex: 0 0 83.333333%;
      max-width: 83.333333%;
   }
}
